package de.intevation.gnv.artifactdatabase.objects;

/**
 * @author <a href="mailto:tim.englich@intevation.de">Tim Englich</a>
 *
 */
public class DefaultInputParameter implements InputParameter {

    /**
     * The UID of this Class.
     */
    private static final long serialVersionUID = 6597439837482244211L;

    private String name = null;

    private String[] values = null;

    /**
     * Constructor
     *
     * @param name
     * @param values
     */
    public DefaultInputParameter(String name, String[] values) {
        super();
        this.name = name;
        this.values = values;
    }

    /**
     * @see de.intevation.gnv.artifactdatabase.objects.InputParameter#getName()
     */
    public String getName() {
        return this.name;
    }

    /**
     * @see de.intevation.gnv.artifactdatabase.objects.InputParameter#getValues()
     */
    public String[] getValues() {
        return this.values;
    }

}
