package de.intevation.gnv.artifactdatabase.objects;

import java.io.Serializable;

import java.util.Collection;

/**
 * @author <a href="mailto:tim.englich@intevation.de">Tim Englich</a>
 *
 */
public interface OutputMode extends Serializable{

    public String getName();

    public String getMimeType();

    public Collection<OutputParameter> getOutputParameters();

    public ExportMode getExportMode(String mode);
}
