package de.intevation.gnv.artifactdatabase.objects;

import java.util.Collection;
import java.util.Map;

/**
 * @author <a href="mailto:tim.englich@intevation.de">Tim Englich</a>
 *
 */
public interface ParametrizedArtifactObject extends ArtifactObject {

    /**
     * Returns the Parameters which could be used to manage (e.g. create) an
     * ArtifactObject.
     * @return
     */
    Map<String, Collection<String>> getParameters();

    void addParameters(String key, Collection<String> values);

}
